summaryrefslogtreecommitdiff
path: root/nagios-check-raid-gdth
diff options
context:
space:
mode:
Diffstat (limited to 'nagios-check-raid-gdth')
-rwxr-xr-xnagios-check-raid-gdth21
1 files changed, 0 insertions, 21 deletions
diff --git a/nagios-check-raid-gdth b/nagios-check-raid-gdth
deleted file mode 100755
index a57639d..0000000
--- a/nagios-check-raid-gdth
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh
-
-# really quick and dirty
-
-# my %ERRORS = ( OK => 0, WARNING => 1, CRITICAL => 2, UNKNOWN => -1 );
-
-if ! [ -e "/root/gdth-status-all-ok" ] ; then
- echo "/root/gdth-status-all-ok not found." >&2
- exit -1
-fi
-if ! [ -e "/proc/scsi/gdth/0" ] ; then
- echo "/proc/scsi/gdth/0 not found." >&2
- exit -1
-fi
-if diff /root/gdth-status-all-ok /proc/scsi/gdth/0 > /dev/null; then
- echo "Raid status matches known-good copy."
- exit 0
-else
- echo "Raid status does NOT match known-good copy. RAID FAILED?"
- exit 2
-fi